energy_const.h File Reference
Include dependency graph for energy_const.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | GASCONST 1.98717 /* in [cal/K] */
#define | K0 273.15
#define | INF 10000000 /* (INT_MAX/10) */
#define | FORBIDDEN 9999
#define | BONUS 10000
#define | NBPAIRS 7
#define | TURN 3
#define | MAXLOOP 30

## Detailed Description

energy constants

## Macro Definition Documentation

#define GASCONST 1.98717 /* in [cal/K] */

The gas constant

#define K0 273.15

0 deg Celsius in Kelvin

#define INF 10000000 /* (INT_MAX/10) */

Infinity as used in minimization routines

#define FORBIDDEN 9999

forbidden

#define BONUS 10000

bonus contribution

#define NBPAIRS 7

The number of distinguishable base pairs

#define TURN 3

The minimum loop length

#define MAXLOOP 30

The maximum loop length